Bug 110276 - Memory leak on kernel 5.0 using Vulkan applications, fixed on drm-tip and 5.1-rc1
Summary: Memory leak on kernel 5.0 using Vulkan applications, fixed on drm-tip and 5.1...
Status: NEW
Alias: None
Product: DRI
Classification: Unclassified
Component: DRM/other (show other bugs)
Version: unspecified
Hardware: Other All
: medium normal
Assignee: Christian König
QA Contact:
URL:
Whiteboard: Triaged, ReadyForDev
Keywords:
Depends on:
Blocks:
 
Reported: 2019-03-28 15:29 UTC by leozinho29_eu
Modified: 2019-06-04 07:47 UTC (History)
2 users (show)

See Also:
i915 platform: SKL
i915 features: GEM/Other


Attachments
Video showing the 4 MB leak in 25 seconds (14.89 MB, video/webm)
2019-03-28 15:29 UTC, leozinho29_eu
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description leozinho29_eu 2019-03-28 15:29:36 UTC
Created attachment 143800 [details]
Video showing the 4 MB leak in 25 seconds

It was found that the kernel 5.0 has a memory leak when Vulkan applications are used. It seems this leak can be even more intense than the one from bug 107899.

On drm-tip and linux-git, the commit 61a98b1b9a8c7a21a2d666a090dcf5f1c70c659f fixes this leak. However, the leak is present on the kernel 5.0.5, currently the latest stable.

vulkan-smoketest is enough to trigger the leak. On slabtop, it shows:

80275  80275 100%    0,62K   3211       25     51376K i915_request

Steps to reproduce:

1) Open a Vulkan application, for example, vulkan-smoketest.

System information:

OS: Xubuntu 18.04;
Kernel: 5.0.0-8 (Disco Dingo) to 5.0.5;
CPU: Intel Core i3-6100U;
GPU: Intel HD Graphics 520;
Memory: 8 GB.
Comment 1 Chris Wilson 2019-03-28 21:35:13 UTC
iirc the fix is commit 61a98b1b9a8c7a21a2d666a090dcf5f1c70c659f
Author: Christian König <ckoenig.leichtzumerken@gmail.com>
Date:   Tue Dec 11 18:34:41 2018 +0800

    drm/syncobj: remove drm_syncobj_cb and cleanup
    
    This completes "drm/syncobj: Drop add/remove_callback from driver
    interface" and cleans up the implementation a bit.
    
    Signed-off-by: Christian König <christian.koenig@amd.com>
    Reviewed-by: Chunming Zhou <david1.zhou@amd.com>
    Link: https://patchwork.freedesktop.org/patch/266255/
Comment 2 Lakshmi 2019-03-29 07:12:41 UTC
Fix available in drm-tip and 5.1-rc1 but not in stable branch 5.0.5.
Comment 3 Francesco Balestrieri 2019-06-03 06:42:13 UTC
> Fix available in drm-tip and 5.1-rc1 but not in stable branch 5.0.5.

Still, enough for us to close this, isn't it?
Comment 4 Jani Nikula 2019-06-04 07:47:59 UTC
Fixed upstream and not our bug. Move to DRM/other, assign to Christian to decide what to do with the potential stable backport.


Use of freedesktop.org services, including Bugzilla, is subject to our Code of Conduct. How we collect and use information is described in our Privacy Policy.